package com.qhtx.eta.domain.config;

import com.alibaba.nacos.common.utils.StringUtils;
import org.redisson.Redisson;
import org.redisson.api.RLock;
import org.redisson.api.RedissonClient;
import org.redisson.config.Config;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RedissonConfig {

    @Value("${redisson.address}")
    private String address;

    @Value("${redisson.password}")
    private String password;

    @Bean
    public RedissonClient redissonClient() {
        Config config = new Config();
        if (StringUtils.isNotBlank(password)) {
            config.useSingleServer().setAddress(address).setPassword(password);
        } else {
            config.useSingleServer().setAddress(address);
        }
        return Redisson.create(config);
    }

}